"use strict";

exports.BookmarkCard = BookmarkCard;
var _index = require("../../lib/index.cjs");
var _Container = require("./Container.cjs");
var _Details = require("./Details.cjs");
var _Provider = require("./Provider.cjs");
var _Thumbnail = require("./Thumbnail.cjs");
var _jsxRuntime = require("react/jsx-runtime");
function BookmarkCard(props) {
  var showThumbnail = Boolean(props.showThumbnail && props.oembed.thumbnail_url);
  var isEmpty = !showThumbnail && (0, _index.isEmptyText)(props.oembed.title) && (0, _index.isEmptyText)(props.oembed.description);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Container.Container, {
    defaultLayout: props.layout,
    hasThumbnail: showThumbnail,
    className: props.className,
    children: [showThumbnail && props.oembed.thumbnail_url && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Thumbnail.Thumbnail, {
      newTab: props.newTab,
      href: props.oembed.url,
      src: props.oembed.thumbnail_url,
      width: props.oembed.thumbnail_width,
      height: props.oembed.thumbnail_height
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_Details.Details, {
      id: props.hrefId,
      href: props.oembed.url,
      newTab: props.newTab,
      title: props.oembed.title,
      description: props.oembed.description,
      layout: props.layout,
      hasThumbnail: showThumbnail,
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_Provider.Provider, {
        showUrl: isEmpty,
        url: props.oembed.url,
        providerName: props.oembed.provider_name,
        providerUrl: props.oembed.provider_url
      })
    })]
  });
}