"use strict";
'use client';

exports.Container = Container;
var _web = require("@react-hookz/web");
var _classnames = require("classnames");
var _react = require("react");
var _jsxRuntime = require("react/jsx-runtime");
var HORIZONTAL_LAYOUT_MIN_WIDTH = 480;
function Container(_ref) {
  var {
    defaultLayout,
    children,
    className,
    hasThumbnail
  } = _ref;
  var [cardRef, setCardRef] = (0, _react.useState)(null);
  var [isSmallViewport, setSmallViewport] = (0, _react.useState)(false);
  (0, _web.useResizeObserver)(cardRef, entry => {
    setSmallViewport(entry.contentRect.width < HORIZONTAL_LAYOUT_MIN_WIDTH);
  });
  var actualLayout = getActualLayout(hasThumbnail, isSmallViewport, defaultLayout);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    ref: setCardRef,
    className: (0, _classnames.default)(className, 'prezly-slate-bookmark-card-component__container', {
      vertical: actualLayout === 'vertical',
      horizontal: actualLayout === 'horizontal'
    }),
    children: children
  });
}
function getActualLayout(hasThumbnail, isSmallViewport, defaultLayout) {
  if (!hasThumbnail) {
    return 'horizontal';
  }
  if (isSmallViewport) {
    return 'vertical';
  }
  return defaultLayout;
}