"use strict";

exports.Details = Details;
var _classnames = require("classnames");
var _react = require("react");
var _index = require("../../lib/index.cjs");
var _Link = require("../Link.cjs");
var _jsxRuntime = require("react/jsx-runtime");
function Details(_ref) {
  var {
    title,
    description,
    href,
    id,
    newTab,
    layout,
    hasThumbnail,
    children
  } = _ref;
  var {
    isDescriptionShort,
    isTitleShort
  } = (0, _react.useMemo)(() => {
    var _ref2;
    var titleOneLineLength = 33;
    var descriptionOneLineLength = 45;
    if (layout === 'vertical' || !hasThumbnail) {
      titleOneLineLength = 52;
      descriptionOneLineLength = 75;
    }
    return {
      isTitleShort: (title !== null && title !== void 0 ? title : '').length <= titleOneLineLength,
      isDescriptionShort: ((_ref2 = description !== null && description !== void 0 ? description : '') === null || _ref2 === void 0 ? void 0 : _ref2.length) <= descriptionOneLineLength
    };
  }, [title, description, layout, hasThumbnail]);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
    className: 'prezly-slate-bookmark-card-component__details',
    children: [!(0, _index.isEmptyText)(title) && /*#__PURE__*/(0, _jsxRuntime.jsx)(_Link.Link, {
      id: id,
      className: (0, _classnames.default)('prezly-slate-bookmark-card-component__title', {
        'prezly-slate-bookmark-card-component__title--short-title': isTitleShort,
        'prezly-slate-bookmark-card-component__title--short-description': isDescriptionShort
      }),
      href: href,
      newTab: newTab,
      children: title
    }), !(0, _index.isEmptyText)(description) && /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
      className: (0, _classnames.default)('prezly-slate-bookmark-card-component__description', {
        'prezly-slate-bookmark-card-component__description--short-title': isTitleShort,
        'prezly-slate-bookmark-card-component__description--short-description': isDescriptionShort
      }),
      children: description
    }), children]
  });
}