"use strict";

exports.Provider = Provider;
var _index = require("../../lib/index.cjs");
var _Link = require("../Link.cjs");
var _jsxRuntime = require("react/jsx-runtime");
function Provider(_ref) {
  var {
    url,
    providerUrl,
    providerName,
    showUrl
  } = _ref;
  var favicon = "https://avatars-cdn.prezly.com/favicon?url=".concat(encodeURIComponent(url), "?ideal_height=32");
  var href = showUrl ? url : homepage(providerUrl || url);
  var provider = showUrl ? url : providerName || hostname(providerUrl || url);
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_Link.Link, {
    className: 'prezly-slate-bookmark-card-component__provider',
    href: href,
    newTab: true,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
      className: 'prezly-slate-bookmark-card-component__providerIcon',
      src: favicon,
      alt: "".concat(provider, " favicon"),
      "aria-hidden": "true"
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("span", {
      className: 'prezly-slate-bookmark-card-component__providerName',
      children: provider
    })]
  });
}
function hostname(url) {
  var {
    host
  } = new URL((0, _index.normalizeUrl)(url));
  return host;
}
function homepage(url) {
  var {
    origin
  } = new URL((0, _index.normalizeUrl)(url));
  return origin;
}