"use strict";

exports.getCoverageImageUrl = getCoverageImageUrl;
var _uploadcare = require("@prezly/uploadcare");
var IMAGE_WIDTH = 580 * 2;
function getCoverageImageUrl(coverage) {
  if (coverage.attachment_oembed && coverage.attachment_oembed.thumbnail_url) {
    return coverage.attachment_oembed.thumbnail_url;
  }

  // @ts-expect-error `isImage` is not defined in the type, but it is present
  if (coverage.attachment && coverage.attachment.isImage) {
    try {
      var image = _uploadcare.UploadcareImage.createFromPrezlyStoragePayload(coverage.attachment);
      return image.resize(IMAGE_WIDTH).cdnUrl;
    } catch (_unused) {
      return null;
    }
  }
  return null;
}