"use strict";
'use client';

exports.Lightbox = Lightbox;
var _web = require("@react-hookz/web");
var _classnames = require("classnames");
var _react = require("react");
var _reactModal = require("react-modal");
var _index = require("../../icons/index.cjs");
var _index2 = require("../../lib/index.cjs");
var _index3 = require("../Media/index.cjs");
var _index4 = require("../PinterestButton/index.cjs");
var _jsxRuntime = require("react/jsx-runtime");
function Lightbox(_ref) {
  var {
    children,
    className,
    image,
    isNextEnabled,
    isPreviousEnabled,
    onClose,
    onDownload = _index2.noop,
    onNext = _index2.noop,
    onOpen = _index2.noop,
    onPrevious = _index2.noop,
    previewImage = defaultPreviewImage,
    title
  } = _ref;
  (0, _web.useEventListener)(typeof window !== 'undefined' ? window : globalThis, 'keydown', event => {
    if (image === null) {
      return;
    }
    if (event.key === 'Esc') {
      onClose();
    }
    if (event.key === 'ArrowLeft') {
      onPrevious();
    }
    if (event.key === 'ArrowRight') {
      onNext();
    }
  });
  (0, _react.useEffect)(() => {
    if (image) {
      onOpen(image);
    }
    // TODO: Address this. Simply adding `onOpen` to the deps might introduce an infinite loop.
    // eslint-disable-next-line react-hooks/exhaustive-deps
  }, [image]);
  if (typeof window === 'undefined') {
    // Do not render Lightbox outside of browser environment (i.e. SSR)
    return null;
  }
  if (image === null) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_reactModal.default, {
      className: (0, _classnames.default)('prezly-slate-lightbox', className),
      isOpen: false
      // This functionality has issues on React 18.
      ,
      ariaHideApp: false
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_reactModal.default, {
    className: (0, _classnames.default)('prezly-slate-lightbox', className),
    isOpen: true,
    onRequestClose: onClose
    // This functionality has issues on React 18.
    ,
    ariaHideApp: false,
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("figure", {
      className: "prezly-slate-lightbox__figure",
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: "prezly-slate-lightbox__nav",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("button", {
          className: "prezly-slate-lightbox__nav-button",
          disabled: !isPreviousEnabled,
          onClick: onPrevious,
          type: "button",
          title: "Previous (Left Arrow)",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.ChevronLeft, {
            className: "prezly-slate-lightbox__nav-button-icon"
          })
        }), /*#__PURE__*/(0, _jsxRuntime.jsx)("button", {
          className: "prezly-slate-lightbox__nav-button",
          disabled: !isNextEnabled,
          onClick: onNext,
          type: "button",
          title: "Next (Right Arrow)",
          children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.ChevronRight, {
            className: "prezly-slate-lightbox__nav-button-icon"
          })
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
        className: "prezly-slate-lightbox__image-container",
        children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Media, {
          className: "prezly-slate-lightbox__image",
          image: previewImage(image),
          title: title
        }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("div", {
          className: "prezly-slate-lightbox__actions",
          children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
            className: "prezly-slate-lightbox__download",
            download: true,
            href: image.downloadUrl,
            rel: "nofollow noreferrer noopener",
            target: "_blank",
            title: "Download full-size",
            onClick: () => onDownload(image),
            children: "Download full-size"
          }), /*#__PURE__*/(0, _jsxRuntime.jsx)(_index4.PinterestButton, {
            className: "prezly-slate-lightbox__pinterest",
            image: previewImage(image).cdnUrl
          })]
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
        className: "prezly-slate-lightbox__caption",
        children: children
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsx)("button", {
      className: "prezly-slate-lightbox__close",
      onClick: onClose,
      type: "button",
      title: "Close (Esc)",
      children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Close, {
        className: "prezly-slate-lightbox__close-icon"
      })
    })]
  });
}
function defaultPreviewImage(image) {
  return image.preview(2000, 2000);
}