"use strict";

exports.SocialFields = SocialFields;
var _storyContentFormat = require("@prezly/story-content-format");
var _classnames = require("classnames");
var _index = require("../../icons/index.cjs");
var _index2 = require("./lib/index.cjs");
var _SocialField = require("./SocialField.cjs");
var _jsxRuntime = require("react/jsx-runtime");
function SocialFields(_ref) {
  var {
    className,
    contact,
    layout
  } = _ref;
  var {
    email,
    phone,
    mobile
  } = contact;
  var website = (0, _index2.getUrl)(contact.website);
  var {
    facebook,
    twitter
  } = (0, _index2.getSocialHandles)(contact);
  if (layout === _storyContentFormat.ContactNode.Layout.SIGNATURE) {
    return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
        className: (0, _classnames.default)('prezly-slate-social-fields', 'prezly-slate-social-fields--signature', className),
        children: [email && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
          className: "prezly-slate-social-fields__field",
          href: (0, _index2.getMailtoHref)(email),
          children: "E. ".concat(email)
        }), phone && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
          className: "prezly-slate-social-fields__field",
          href: (0, _index2.getTelHref)(phone),
          children: "P. ".concat(phone)
        }), mobile && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
          className: "prezly-slate-social-fields__field",
          href: (0, _index2.getTelHref)(mobile),
          children: "M. ".concat(mobile)
        }), website && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
          className: "prezly-slate-social-fields__field",
          href: website.toString(),
          children: "W. ".concat(website.hostname)
        })]
      }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
        className: (0, _classnames.default)('prezly-slate-social-fields', 'prezly-slate-social-fields--signature', 'prezly-slate-social-fields--icons', className),
        children: [facebook && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
          className: "prezly-slate-social-fields__field",
          href: "https://www.facebook.com/".concat(facebook),
          Icon: _index.Facebook
        }), twitter && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
          className: "prezly-slate-social-fields__field",
          href: "https://twitter.com/".concat(twitter),
          Icon: _index.X
        })]
      })]
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
      className: (0, _classnames.default)('prezly-slate-social-fields', 'prezly-slate-social-fields--card', className),
      children: [email && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
        className: "prezly-slate-social-fields__field",
        href: (0, _index2.getMailtoHref)(email),
        Icon: _index.Envelope,
        children: email
      }), phone && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
        className: "prezly-slate-social-fields__field",
        href: (0, _index2.getTelHref)(phone),
        Icon: _index.Telephone,
        children: phone
      }), mobile && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
        className: "prezly-slate-social-fields__field",
        href: (0, _index2.getTelHref)(mobile),
        Icon: _index.Phone,
        children: mobile
      })]
    }), /*#__PURE__*/(0, _jsxRuntime.jsxs)("ul", {
      className: (0, _classnames.default)('prezly-slate-social-fields', 'prezly-slate-social-fields--card', className),
      children: [website && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
        className: "prezly-slate-social-fields__field",
        href: website.toString(),
        Icon: _index.Globe,
        children: website.hostname
      }), facebook && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
        className: "prezly-slate-social-fields__field",
        href: "https://www.facebook.com/".concat(facebook),
        Icon: _index.Facebook,
        children: facebook
      }), twitter && /*#__PURE__*/(0, _jsxRuntime.jsx)(_SocialField.SocialField, {
        className: "prezly-slate-social-fields__field",
        href: "https://twitter.com/".concat(twitter),
        Icon: _index.X,
        children: "@".concat(twitter)
      })]
    })]
  });
}