"use strict";

exports.getSocialHandles = getSocialHandles;
var _socialLinks = require("social-links");
function getSocialHandles(contactInfo) {
  // Allow query params in social links in case someone decides to use UTM codes
  var socialLinks = new _socialLinks.SocialLinks({
    allowQueryParams: true
  });
  var facebook = contactInfo.facebook || '';
  var twitter = contactInfo.twitter || '';

  // social-links does not recognize x.com and since x.com/username
  // will just redirect you to twitter.com, we can simply replace the domain
  twitter = twitter.replace('x.com', 'twitter.com');

  // We have to check whether the social links are valid first
  // otherwise `getProfileId` method throws an error
  var isValidFacebook = socialLinks.isValid('facebook', facebook);
  var isValidTwitter = socialLinks.isValid('twitter', twitter);
  return {
    facebook: isValidFacebook ? socialLinks.getProfileId('facebook', facebook) : null,
    twitter: isValidTwitter ? socialLinks.getProfileId('twitter', twitter) : null
  };
}