"use strict";

exports.Embed = Embed;
var _storyContentFormat = require("@prezly/story-content-format");
var _classnames = require("classnames");
var _Iframe = require("./Iframe.cjs");
var _LinkEmbed = require("./LinkEmbed.cjs");
var _ScreenshotEmbed = require("./ScreenshotEmbed.cjs");
var _jsxRuntime = require("react/jsx-runtime");
var _excluded = ["className", "node", "onPlay", "showAsScreenshot"];
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
function _objectWithoutProperties(e, t) { if (null == e) return {}; var o, r, i = _objectWithoutPropertiesLoose(e, t); if (Object.getOwnPropertySymbols) { var n = Object.getOwnPropertySymbols(e); for (r = 0; r < n.length; r++) o = n[r], -1 === t.indexOf(o) && {}.propertyIsEnumerable.call(e, o) && (i[o] = e[o]); } return i; }
function _objectWithoutPropertiesLoose(r, e) { if (null == r) return {}; var t = {}; for (var n in r) if ({}.hasOwnProperty.call(r, n)) { if (-1 !== e.indexOf(n)) continue; t[n] = r[n]; } return t; }
function Embed(_ref) {
  var {
      className,
      node,
      onPlay,
      showAsScreenshot
    } = _ref,
    props = _objectWithoutProperties(_ref, _excluded);
  var {
    oembed,
    url,
    layout
  } = node;
  var commonProps = _objectSpread({
    id: "embed-".concat(node.uuid),
    className: (0, _classnames.default)('prezly-slate-embed', {
      'prezly-slate-embed--contained': layout === _storyContentFormat.EmbedNode.Layout.CONTAINED,
      'prezly-slate-embed--expanded': layout === _storyContentFormat.EmbedNode.Layout.EXPANDED,
      'prezly-slate-embed--full-width': layout === _storyContentFormat.EmbedNode.Layout.FULL_WIDTH
    }, className),
    title: oembed.title || url
  }, props);
  if (oembed.type === 'link') {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(_LinkEmbed.LinkEmbed, _objectSpread(_objectSpread({}, commonProps), {}, {
      node: node
    }));
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", _objectSpread(_objectSpread({}, commonProps), {}, {
    children: showAsScreenshot ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_ScreenshotEmbed.ScreenshotEmbed, {
      className: "prezly-slate-embed__screenshot",
      node: node
    }) : /*#__PURE__*/(0, _jsxRuntime.jsx)(_Iframe.Iframe, {
      html: node.oembed.html || '',
      onPlay: onPlay
    })
  }));
}