"use strict";

exports.calculateLayout = calculateLayout;
var _linearPartition = require("@prezly/linear-partition");
function calculateLayout(_ref) {
  var {
    idealHeight,
    images,
    viewportWidth
  } = _ref;
  if (idealHeight <= 0 || viewportWidth <= 0 || images.length === 0) {
    return [];
  }
  var totalWidth = images.reduce((sum, image) => sum + Math.max(idealHeight, image.aspectRatio * idealHeight), 0);
  var rowsCount = Math.max(1,
  // forceFullWidth
  Math.ceil(totalWidth / viewportWidth));
  var weights = images.map(image => 100 * image.aspectRatio);
  var partition = (0, _linearPartition.linearPartition)(weights, rowsCount);
  var computedLayout = [];
  var offset = 0;
  var _loop = function _loop() {
    // TODO: Address this
    // eslint-disable-next-line @typescript-eslint/no-loop-func
    var rowImages = row.map((_, index) => images[offset + index]);
    var aspectRatioSum = rowImages.reduce((sum, image) => sum + image.aspectRatio, 0);
    var availableWidth = viewportWidth;
    var computedRow = [];

    // TODO: Address this
    // eslint-disable-next-line @typescript-eslint/no-loop-func
    rowImages.forEach((image, index) => {
      var width = index === rowImages.length - 1 ? availableWidth : viewportWidth / aspectRatioSum * image.aspectRatio;
      var height = viewportWidth / aspectRatioSum;
      availableWidth -= width;
      computedRow.push({
        index: offset + index,
        width,
        height
      });
    });
    computedLayout.push(computedRow);
    offset += row.length;
  };
  for (var row of partition) {
    _loop();
  }
  return computedLayout;
}