"use strict";

exports.default = exports.WhitespaceCollapsing = exports.StyledText = exports.SoftLineBreaks = exports.RegularParagraphOfText = exports.Placeholders = exports.Alignment = void 0;
var _StoryNameDecorator = require("../../dev/StoryNameDecorator.cjs");
var _Renderer = require("../../Renderer.cjs");
var _jsxRuntime = require("react/jsx-runtime");
var _default = exports.default = {
  title: 'Elements/Paragraph',
  decorators: [_StoryNameDecorator.StoryNameDecorator]
};
var RegularParagraphOfText = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: "Prezly is a very user-friendly system. Uploading lists that you have made over the years, making attractive press files, selecting and contacting journalists, the system does it all. It's quick, it's updated regularly, the help desk is swift and friendly if ever you need them."
    }]
  }]
});
exports.RegularParagraphOfText = RegularParagraphOfText;
var WhitespaceCollapsing = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    text: 'This paragraph   has       additional    whitespaces    between   words, which are   expected to be    preserved.'
  }, {
    type: 'paragraph',
    children: [{
      text: 'The next paragraph has no inner text, but it is expected to still occupy the vertical space, as normally:'
    }]
  }, {
    type: 'paragraph',
    children: [{
      text: ''
    }]
  }]
});
exports.WhitespaceCollapsing = WhitespaceCollapsing;
var SoftLineBreaks = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'There is a soft-line break after this text:\nthis should appear on the next line'
    }]
  }]
});
exports.SoftLineBreaks = SoftLineBreaks;
var Placeholders = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: {
    type: 'paragraph',
    children: [{
      text: 'Publication date placeholder: '
    }, {
      type: 'placeholder',
      children: [{
        text: ''
      }],
      key: 'publication.date'
    }, {
      text: ''
    }]
  }
});
exports.Placeholders = Placeholders;
var StyledText = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Paragraph with '
    }, {
      text: 'bold',
      bold: true
    }, {
      text: ', '
    }, {
      text: 'underline',
      underlined: true
    }, {
      text: ', '
    }, {
      text: 'italics',
      italic: true
    }, {
      text: ', '
    }, {
      text: 'superscript',
      superscript: true
    }, {
      text: ', '
    }, {
      text: 'subscript',
      subscript: true
    }, {
      text: ', '
    }, {
      text: 'bold underline',
      bold: true,
      underlined: true
    }, {
      text: ', '
    }, {
      text: 'bold italics',
      bold: true,
      italic: true
    }, {
      text: ', '
    }, {
      text: 'underline italics',
      italic: true,
      underlined: true
    }, {
      text: ', '
    }, {
      text: 'bold underline italics',
      bold: true,
      italic: true,
      underlined: true
    }, {
      text: ', '
    }, {
      text: 'bold underline italics superscript',
      bold: true,
      italic: true,
      superscript: true,
      underlined: true
    }, {
      text: ', '
    }, {
      text: 'bold underline italics subscript',
      bold: true,
      italic: true,
      subscript: true,
      underlined: true
    }, {
      text: ', '
    }, {
      type: 'link',
      href: 'https://rock.prezly.com',
      new_tab: true,
      children: [{
        text: 'link'
      }]
    }, {
      text: ', '
    }, {
      type: 'link',
      href: 'https://rock.prezly.com',
      new_tab: true,
      children: [{
        text: 'bold underline italics link',
        bold: true,
        italic: true,
        underlined: true
      }]
    }, {
      text: '.'
    }]
  }]
});
exports.StyledText = StyledText;
var Alignment = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    align: 'center',
    children: [{
      text: 'Top-level text blocks can be centered now'
    }]
  }, {
    type: 'paragraph',
    align: 'right',
    children: [{
      text: '... or aligned to right'
    }]
  }]
});
exports.Alignment = Alignment;