"use strict";

exports.default = exports.VerticalWithoutThumbnail = exports.VerticalWithThumbnail = exports.VerticalShortTitleLongDescription = exports.VerticalNewTab = exports.VerticalLongTitleShortDescription = exports.HorizontalWithoutThumbnail = exports.HorizontalWithThumbnail = exports.HorizontalShortTitleLongDescription = exports.HorizontalLongTitleShortDescription = void 0;
var _storyContentFormat = require("@prezly/story-content-format");
var _index = require("../../index.cjs");
var mock = require("../../dev/mocks/index.cjs");
var _StoryNameDecorator = require("../../dev/StoryNameDecorator.cjs");
var _Renderer = require("../../Renderer.cjs");
var _index3 = require("../../selector/index.cjs");
var _jsxRuntime = require("react/jsx-runtime");
var _default = exports.default = {
  title: 'Elements/StoryBookmark',
  decorators: [_StoryNameDecorator.StoryNameDecorator]
};
var VerticalWithThumbnail = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Vertical story bookmark with thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d70',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: _storyContentFormat.StoryBookmarkNode.Layout.VERTICAL,
    new_tab: false
  }],
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Component, {
    match: _storyContentFormat.StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
exports.VerticalWithThumbnail = VerticalWithThumbnail;
var VerticalNewTab = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Story bookmark which opens in new tab'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d70',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: _storyContentFormat.StoryBookmarkNode.Layout.VERTICAL,
    new_tab: true
  }],
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Component, {
    match: _storyContentFormat.StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
exports.VerticalNewTab = VerticalNewTab;
var HorizontalWithThumbnail = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal story bookmark with thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d71',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: _storyContentFormat.StoryBookmarkNode.Layout.HORIZONTAL,
    new_tab: false
  }],
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Component, {
    match: _storyContentFormat.StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
exports.HorizontalWithThumbnail = HorizontalWithThumbnail;
var VerticalWithoutThumbnail = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Vertical story bookmark without thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d72',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: false,
    layout: _storyContentFormat.StoryBookmarkNode.Layout.VERTICAL,
    new_tab: true
  }],
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Component, {
    match: _storyContentFormat.StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
exports.VerticalWithoutThumbnail = VerticalWithoutThumbnail;
var HorizontalWithoutThumbnail = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal story bookmark without thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: false,
    layout: _storyContentFormat.StoryBookmarkNode.Layout.HORIZONTAL,
    new_tab: true
  }],
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Component, {
    match: _storyContentFormat.StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
exports.HorizontalWithoutThumbnail = HorizontalWithoutThumbnail;
var VerticalLongTitleShortDescription = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Vertical Short Title and Long Description:'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: _storyContentFormat.StoryBookmarkNode.Layout.VERTICAL,
    new_tab: true
  }],
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Component, {
    match: _storyContentFormat.StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmarkWithLongTitleAndShortDescription
  })
});
exports.VerticalLongTitleShortDescription = VerticalLongTitleShortDescription;
var VerticalShortTitleLongDescription = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal story bookmark without thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: _storyContentFormat.StoryBookmarkNode.Layout.VERTICAL,
    new_tab: true
  }],
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Component, {
    match: _storyContentFormat.StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmarkWithShortTitleAndLongDescription
  })
});
exports.VerticalShortTitleLongDescription = VerticalShortTitleLongDescription;
var HorizontalLongTitleShortDescription = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal Long Title and Short Description:'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: _storyContentFormat.StoryBookmarkNode.Layout.HORIZONTAL,
    new_tab: true
  }],
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Component, {
    match: _storyContentFormat.StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmarkWithLongTitleAndShortDescription
  })
});
exports.HorizontalLongTitleShortDescription = HorizontalLongTitleShortDescription;
var HorizontalShortTitleLongDescription = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal Short Title and Long Description:'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: _storyContentFormat.StoryBookmarkNode.Layout.HORIZONTAL,
    new_tab: true
  }],
  children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index3.Component, {
    match: _storyContentFormat.StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmarkWithShortTitleAndLongDescription
  })
});
exports.HorizontalShortTitleLongDescription = HorizontalShortTitleLongDescription;
function PreFetchedStoryBookmark(_ref) {
  var {
    node
  } = _ref;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Elements.StoryBookmark, {
    node: node,
    storyOEmbedInfo: mock.referencedStory.oembed
  });
}
function PreFetchedStoryBookmarkWithLongTitleAndShortDescription(_ref2) {
  var {
    node
  } = _ref2;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Elements.StoryBookmark, {
    node: node,
    storyOEmbedInfo: mock.referencedStoryWithLongTitleAndShortDescription.oembed
  });
}
function PreFetchedStoryBookmarkWithShortTitleAndLongDescription(_ref3) {
  var {
    node
  } = _ref3;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.Elements.StoryBookmark, {
    node: node,
    storyOEmbedInfo: mock.referencedStoryWithShortTitleAndLongDescription.oembed
  });
}