"use strict";

exports.default = exports.WithRowHeader = exports.WithColumnHeader = exports.WithBorder = exports.NoBorder = void 0;
var _storyContentFormat = require("@prezly/story-content-format");
var _StoryNameDecorator = require("../../dev/StoryNameDecorator.cjs");
var _Renderer = require("../../Renderer.cjs");
var _jsxRuntime = require("react/jsx-runtime");
function ownKeys(e, r) { var t = Object.keys(e); if (Object.getOwnPropertySymbols) { var o = Object.getOwnPropertySymbols(e); r && (o = o.filter(function (r) { return Object.getOwnPropertyDescriptor(e, r).enumerable; })), t.push.apply(t, o); } return t; }
function _objectSpread(e) { for (var r = 1; r < arguments.length; r++) { var t = null != arguments[r] ? arguments[r] : {}; r % 2 ? ownKeys(Object(t), !0).forEach(function (r) { _defineProperty(e, r, t[r]); }) : Object.getOwnPropertyDescriptors ? Object.defineProperties(e, Object.getOwnPropertyDescriptors(t)) : ownKeys(Object(t)).forEach(function (r) { Object.defineProperty(e, r, Object.getOwnPropertyDescriptor(t, r)); }); } return e; }
function _defineProperty(e, r, t) { return (r = _toPropertyKey(r)) in e ? Object.defineProperty(e, r, { value: t, enumerable: !0, configurable: !0, writable: !0 }) : e[r] = t, e; }
function _toPropertyKey(t) { var i = _toPrimitive(t, "string"); return "symbol" == typeof i ? i : i + ""; }
function _toPrimitive(t, r) { if ("object" != typeof t || !t) return t; var e = t[Symbol.toPrimitive]; if (void 0 !== e) { var i = e.call(t, r || "default"); if ("object" != typeof i) return i; throw new TypeError("@@toPrimitive must return a primitive value."); } return ("string" === r ? String : Number)(t); }
var _default = exports.default = {
  title: 'Elements/Table',
  decorators: [_StoryNameDecorator.StoryNameDecorator]
};
var NoBorder = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [createTableNode({})]
});
exports.NoBorder = NoBorder;
var WithBorder = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [createTableNode({
    border: true
  })]
});
exports.WithBorder = WithBorder;
var WithRowHeader = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [createTableNode({
    border: true,
    header: [_storyContentFormat.TableNode.TableHeader.FIRST_ROW]
  })]
});
exports.WithRowHeader = WithRowHeader;
var WithColumnHeader = () => /*#__PURE__*/(0, _jsxRuntime.jsx)(_Renderer.Renderer, {
  nodes: [createTableNode({
    border: true,
    header: [_storyContentFormat.TableNode.TableHeader.FIRST_COLUMN]
  })]
});
exports.WithColumnHeader = WithColumnHeader;
function createTableNode(props) {
  return _objectSpread(_objectSpread({
    type: 'table'
  }, props), {}, {
    children: [{
      type: 'table-row',
      children: [{
        type: 'table-cell',
        children: [{
          type: 'paragraph',
          children: [{
            text: '1'
          }]
        }]
      }, {
        type: 'table-cell',
        children: [{
          type: 'paragraph',
          children: [{
            text: '2'
          }]
        }]
      }, {
        type: 'table-cell',
        children: [{
          type: 'paragraph',
          children: [{
            text: '3'
          }]
        }]
      }]
    }, {
      type: 'table-row',
      children: [{
        type: 'table-cell',
        children: [{
          type: 'paragraph',
          children: [{
            text: '4'
          }]
        }]
      }, {
        type: 'table-cell',
        children: [{
          type: 'paragraph',
          children: [{
            text: '5'
          }]
        }]
      }, {
        type: 'table-cell',
        children: [{
          type: 'paragraph',
          children: [{
            text: '6'
          }]
        }]
      }]
    }, {
      type: 'table-row',
      children: [{
        type: 'table-cell',
        children: [{
          type: 'paragraph',
          children: [{
            text: '7'
          }]
        }]
      }, {
        type: 'table-cell',
        children: [{
          type: 'paragraph',
          children: [{
            text: '8'
          }]
        }]
      }, {
        type: 'table-cell',
        children: [{
          type: 'paragraph',
          children: [{
            text: '9'
          }]
        }]
      }]
    }]
  });
}