"use strict";

exports.Text = Text;
var _react = require("react");
var _jsxRuntime = require("react/jsx-runtime");
var LINE_BREAKS = /\r\n|\r|\n/;
var ZERO_WIDTH_WHITE_SPACE = '\u200B';
function Text(_ref) {
  var {
    node
  } = _ref;
  var {
    bold,
    italic,
    subscript,
    superscript,
    text,
    underlined,
    highlighted
  } = node;
  var children = Text.preserveSoftBreaks(text);
  if (bold) {
    children = /*#__PURE__*/(0, _jsxRuntime.jsx)("strong", {
      children: children
    });
  }
  if (italic) {
    children = /*#__PURE__*/(0, _jsxRuntime.jsx)("em", {
      children: children
    });
  }
  if (subscript) {
    children = /*#__PURE__*/(0, _jsxRuntime.jsx)("sub", {
      children: children
    });
  }
  if (superscript) {
    children = /*#__PURE__*/(0, _jsxRuntime.jsx)("sup", {
      children: children
    });
  }
  if (underlined) {
    children = /*#__PURE__*/(0, _jsxRuntime.jsx)("u", {
      children: children
    });
  }
  if (highlighted) {
    children = /*#__PURE__*/(0, _jsxRuntime.jsx)("mark", {
      children: children
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: children
  });
}
Text.preserveSoftBreaks = text => {
  var nodes = text.split(LINE_BREAKS).reduce((result, part, index) => result.length === 0 ? [part] : [...result, /*#__PURE__*/(0, _jsxRuntime.jsxs)(_react.Fragment, {
    children: [/*#__PURE__*/(0, _jsxRuntime.jsx)("br", {}), ZERO_WIDTH_WHITE_SPACE]
  }, index), part], []);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)(_jsxRuntime.Fragment, {
    children: nodes
  });
};