"use strict";
'use client';

exports.Video = Video;
var _storyContentFormat = require("@prezly/story-content-format");
var _classnames = require("classnames");
var _react = require("react");
var _index = require("../../components/index.cjs");
var _index2 = require("../../icons/index.cjs");
var _jsxRuntime = require("react/jsx-runtime");
function Video(_ref) {
  var {
    className,
    node,
    onPlay
  } = _ref;
  var {
    oembed,
    url,
    layout
  } = node;
  var [isHtmlEmbeddedWithErrors, setHtmlEmbeddedWithErrors] = (0, _react.useState)(false);
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)('prezly-slate-video', className),
    children: !isHtmlEmbeddedWithErrors && oembed.html ? /*#__PURE__*/(0, _jsxRuntime.jsx)(_index.HtmlInjection, {
      className: (0, _classnames.default)('prezly-slate-video__html', {
        'prezly-slate-video__html--contained': layout === _storyContentFormat.VideoNode.Layout.CONTAINED,
        'prezly-slate-video__html--expanded': layout === _storyContentFormat.VideoNode.Layout.EXPANDED,
        'prezly-slate-video__html--full-width': layout === _storyContentFormat.VideoNode.Layout.FULL_WIDTH
      }),
      id: "video-".concat(node.uuid),
      html: oembed.html,
      onError: () => setHtmlEmbeddedWithErrors(true),
      onPlay: onPlay
    }) : /*#__PURE__*/(0, _jsxRuntime.jsxs)(_jsxRuntime.Fragment, {
      children: [/*#__PURE__*/(0, _jsxRuntime.jsx)(Thumbnail, {
        node: node
      }), /*#__PURE__*/(0, _jsxRuntime.jsx)(PlayButtonOverlay, {
        id: "video-".concat(node.uuid),
        href: url,
        title: node.oembed.title
      })]
    })
  });
}
function Thumbnail(_ref2) {
  var {
    node
  } = _ref2;
  var {
    layout,
    oembed
  } = node;
  var {
    thumbnail_url: src,
    thumbnail_height: height,
    thumbnail_width: width
  } = oembed;
  var paddingBottom = width && height ? "".concat(Math.round(100 * height / width), "%") : undefined;
  if (!src) {
    return /*#__PURE__*/(0, _jsxRuntime.jsx)(ThumbnailPlaceholder, {
      className: (0, _classnames.default)({
        'prezly-slate-video__thumbnail-placeholder--contained': layout === _storyContentFormat.VideoNode.Layout.CONTAINED,
        'prezly-slate-video__thumbnail-placeholder--expanded': layout === _storyContentFormat.VideoNode.Layout.EXPANDED,
        'prezly-slate-video__thumbnail-placeholder--full-width': layout === _storyContentFormat.VideoNode.Layout.FULL_WIDTH
      }),
      style: {
        paddingBottom
      }
    });
  }
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)('prezly-slate-video__thumbnail', {
      'prezly-slate-video__thumbnail--contained': layout === _storyContentFormat.VideoNode.Layout.CONTAINED,
      'prezly-slate-video__thumbnail--expanded': layout === _storyContentFormat.VideoNode.Layout.EXPANDED,
      'prezly-slate-video__thumbnail--full-width': layout === _storyContentFormat.VideoNode.Layout.FULL_WIDTH
    }),
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)("img", {
      className: "prezly-slate-video__thumbnail-image",
      src: src,
      alt: "Video thumbnail"
    })
  });
}
function ThumbnailPlaceholder(_ref3) {
  var {
    className,
    style
  } = _ref3;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("div", {
    className: (0, _classnames.default)('prezly-slate-video__thumbnail-placeholder', className),
    style: style
  });
}
function PlayButtonOverlay(_ref4) {
  var {
    id,
    href,
    title
  } = _ref4;
  return /*#__PURE__*/(0, _jsxRuntime.jsx)("a", {
    id: id,
    className: "prezly-slate-video__play-button-overlay",
    href: href,
    rel: "noopener noreferer",
    target: "blank",
    title: title,
    children: /*#__PURE__*/(0, _jsxRuntime.jsx)(_index2.PlayButton, {
      className: "prezly-slate-video__play-button-icon"
    })
  });
}