import { UploadcareImage } from '@prezly/uploadcare';
var IMAGE_WIDTH = 580 * 2;
export function getCoverageImageUrl(coverage) {
  if (coverage.attachment_oembed && coverage.attachment_oembed.thumbnail_url) {
    return coverage.attachment_oembed.thumbnail_url;
  }

  // @ts-expect-error `isImage` is not defined in the type, but it is present
  if (coverage.attachment && coverage.attachment.isImage) {
    try {
      var image = UploadcareImage.createFromPrezlyStoragePayload(coverage.attachment);
      return image.resize(IMAGE_WIDTH).cdnUrl;
    } catch (_unused) {
      return null;
    }
  }
  return null;
}