import { ButtonBlockNode } from '@prezly/story-content-format';
import { ContainerDecorator } from "../../dev/ContainerDecorator.mjs";
import { StoryNameDecorator } from "../../dev/StoryNameDecorator.mjs";
import { Renderer } from "../../Renderer.mjs";
import { jsx as _jsx } from "react/jsx-runtime";
export default {
  title: 'Elements/ButtonBlock',
  decorators: [ContainerDecorator, StoryNameDecorator]
};
var TEST_UUID = '3d497238-9bb3-478c-89e0-13dda44977cd';
export var WithOutlineVariant = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Outline button',
    variant: ButtonBlockNode.Variant.OUTLINE
  }]
});
export var WithDefaultVariant = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Default button',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});
export var WithLeftLayout = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.LEFT,
    uuid: TEST_UUID,
    label: 'Left layout button',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});
export var WithRightLayout = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.RIGHT,
    uuid: TEST_UUID,
    label: 'Right layout button',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});
export var WithCenterLayout = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.CENTER,
    uuid: TEST_UUID,
    label: 'Center layout button',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});
export var WithWideLayout = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Wide layout button',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});
export var WithoutHref = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: '',
    new_tab: true,
    layout: ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Without href button',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});
export var WithCenterLayoutButLongText = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.CENTER,
    uuid: TEST_UUID,
    label: 'Some long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long text',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});
export var WithWideLayoutButLongText = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.WIDE,
    uuid: TEST_UUID,
    label: 'Some long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long text',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});
export var WithRightLayoutButLongText = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.RIGHT,
    uuid: TEST_UUID,
    label: 'Some long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long text',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});
export var WithLeftLayoutButLongText = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'button-block',
    href: 'https://prezly.com',
    new_tab: true,
    layout: ButtonBlockNode.Layout.LEFT,
    uuid: TEST_UUID,
    label: 'Some long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long textSome long text',
    variant: ButtonBlockNode.Variant.DEFAULT
  }]
});