import { StoryBookmarkNode } from '@prezly/story-content-format';
import { Elements } from "../../index.mjs";
import * as mock from "../../dev/mocks/index.mjs";
import { StoryNameDecorator } from "../../dev/StoryNameDecorator.mjs";
import { Renderer } from "../../Renderer.mjs";
import { Component } from "../../selector/index.mjs";
import { jsx as _jsx } from "react/jsx-runtime";
export default {
  title: 'Elements/StoryBookmark',
  decorators: [StoryNameDecorator]
};
export var VerticalWithThumbnail = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Vertical story bookmark with thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d70',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: StoryBookmarkNode.Layout.VERTICAL,
    new_tab: false
  }],
  children: /*#__PURE__*/_jsx(Component, {
    match: StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
export var VerticalNewTab = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Story bookmark which opens in new tab'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d70',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: StoryBookmarkNode.Layout.VERTICAL,
    new_tab: true
  }],
  children: /*#__PURE__*/_jsx(Component, {
    match: StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
export var HorizontalWithThumbnail = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal story bookmark with thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d71',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: StoryBookmarkNode.Layout.HORIZONTAL,
    new_tab: false
  }],
  children: /*#__PURE__*/_jsx(Component, {
    match: StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
export var VerticalWithoutThumbnail = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Vertical story bookmark without thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d72',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: false,
    layout: StoryBookmarkNode.Layout.VERTICAL,
    new_tab: true
  }],
  children: /*#__PURE__*/_jsx(Component, {
    match: StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
export var HorizontalWithoutThumbnail = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal story bookmark without thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: false,
    layout: StoryBookmarkNode.Layout.HORIZONTAL,
    new_tab: true
  }],
  children: /*#__PURE__*/_jsx(Component, {
    match: StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmark
  })
});
export var VerticalLongTitleShortDescription = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Vertical Short Title and Long Description:'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: StoryBookmarkNode.Layout.VERTICAL,
    new_tab: true
  }],
  children: /*#__PURE__*/_jsx(Component, {
    match: StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmarkWithLongTitleAndShortDescription
  })
});
export var VerticalShortTitleLongDescription = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal story bookmark without thumbnail'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: StoryBookmarkNode.Layout.VERTICAL,
    new_tab: true
  }],
  children: /*#__PURE__*/_jsx(Component, {
    match: StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmarkWithShortTitleAndLongDescription
  })
});
export var HorizontalLongTitleShortDescription = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal Long Title and Short Description:'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: StoryBookmarkNode.Layout.HORIZONTAL,
    new_tab: true
  }],
  children: /*#__PURE__*/_jsx(Component, {
    match: StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmarkWithLongTitleAndShortDescription
  })
});
export var HorizontalShortTitleLongDescription = () => /*#__PURE__*/_jsx(Renderer, {
  nodes: [{
    type: 'paragraph',
    children: [{
      text: 'Horizontal Short Title and Long Description:'
    }]
  }, {
    type: 'story-bookmark',
    children: [{
      text: ''
    }],
    uuid: 'f89e507f-4707-4005-9556-72a4a7e65d73',
    story: {
      uuid: 'b26212eb-d290-49c5-995b-def2d1218546'
    },
    show_thumbnail: true,
    layout: StoryBookmarkNode.Layout.HORIZONTAL,
    new_tab: true
  }],
  children: /*#__PURE__*/_jsx(Component, {
    match: StoryBookmarkNode.isStoryBookmarkNode,
    component: PreFetchedStoryBookmarkWithShortTitleAndLongDescription
  })
});
function PreFetchedStoryBookmark(_ref) {
  var {
    node
  } = _ref;
  return /*#__PURE__*/_jsx(Elements.StoryBookmark, {
    node: node,
    storyOEmbedInfo: mock.referencedStory.oembed
  });
}
function PreFetchedStoryBookmarkWithLongTitleAndShortDescription(_ref2) {
  var {
    node
  } = _ref2;
  return /*#__PURE__*/_jsx(Elements.StoryBookmark, {
    node: node,
    storyOEmbedInfo: mock.referencedStoryWithLongTitleAndShortDescription.oembed
  });
}
function PreFetchedStoryBookmarkWithShortTitleAndLongDescription(_ref3) {
  var {
    node
  } = _ref3;
  return /*#__PURE__*/_jsx(Elements.StoryBookmark, {
    node: node,
    storyOEmbedInfo: mock.referencedStoryWithShortTitleAndLongDescription.oembed
  });
}