import type { CoverageEntry } from '@prezly/sdk';
import type { Node } from '@prezly/story-content-format';
import type { ComponentType, ReactNode } from 'react';
import type { Transformation } from './types';
type Fallback = 'ignore' | 'warning' | 'passthru' | ComponentType<{
    node: Node;
}>;
interface Props<N extends Node | Node[]> {
    children?: ReactNode;
    coverageEntries?: Record<number, CoverageEntry>;
    defaultComponents?: boolean;
    defaultFallback?: Fallback;
    nodes: N;
    renderDate?: (date: string) => ReactNode;
    transformations?: Transformation[];
}
export declare function Renderer<N extends Node | Node[]>({ children, coverageEntries, defaultComponents, defaultFallback, nodes, renderDate, transformations, }: Props<N>): import("react/jsx-runtime").JSX.Element;
export {};
