import type { Node } from '@prezly/story-content-format';
import type { ComponentType, ReactNode } from 'react';
export interface ComponentRenderer {
    match: (node: Node) => boolean;
    component: ComponentType<{
        node: Node;
        [extraProp: string]: any;
    }>;
    [extraProp: string]: any;
}
export declare function invariant(condition: any, message: string): asserts condition;
/**
 * Creates a component renderer config from a React "children" object,
 * which is usually either a `<Component>` element or an array of them.
 * Used internally by `<Selector>` to create a renderer config from its children.
 */
export declare function createComponentsRenderersFromChildren(children: ReactNode): ComponentRenderer[];
